<?php

function inopal_config()
{
	return array(
		'FriendlyName' => array(
				'Type'  => 'System',
				'Value' => 'اینوپال'
			),
		'terminal' => array(
				'Type'         => 'text',
				'FriendlyName' => 'ترمینال',
				'Size'         => '50'
			)
	);	
}

function inopal_link($params)
{
	require_once(dirname(__FILE__) . '/inopal/inopal_payment_helper.class.php');
	$p = new InoPal_Payment_Helper($params['terminal']);
	$r = $p->paymentRequest(array(
			'amount'   => intval(ceil($params['amount'])),
			'order_id' => $params['invoiceid'],
			'name'     => @$params['clientdetails']['firstname'].' '.@$params['clientdetails']['lastname'],
			'mail'     => @$params['clientdetails']['email'],
			'phone'    => @$params['clientdetails']['phonenumber'],
			'callback' => $params['systemurl'].'/modules/gateways/callback/inopal.php?code='.$params['invoiceid'],
		));
	if ($r)
	{
		return '<form name="frmInoPalPayment" method="post" action="https://core.inopal.ir/api/pardakht/payment">
						<input type="hidden" name="token" value="'.$p->data->token.'" />
						<input type="submit" value=" پرداخت " class="inopal_btn btn button" />
					</form>
					<style>
						.inopal_btn {
								font: 12px Tahoma;
								direction: rtl;
								width: 200px;
							}
					</style>';
	}
	else
	{
		return '<p><font color="red">خطا : '.$p->error.'</font></p><form name="frmPay" method="post" action="'.$params['systemurl'].'/viewinvoice.php?id='.$params['invoiceid'].'"><input type="submit" value="تلاش مجدد" /></form>';
	}
}

?>